com.smartgwt.client.data.fields

## Class DataSourcePasswordField

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.data.DataSourceField
      - - com.smartgwt.client.data.fields.DataSourcePasswordField

-     public class DataSourcePasswordField
      extends DataSourceField

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourcePasswordField()`
    `DataSourcePasswordField(java.lang.String name)`
    `DataSourcePasswordField(java.lang.String name, java.lang.String title)`
    `DataSourcePasswordField(java.lang.String name, java.lang.String title, int length)`
    `DataSourcePasswordField(java.lang.String name, java.lang.String title, int length, boolean required)`

  - ### Method Summary

    - ### Methods inherited from class com.smartgwt.client.data.DataSourceField

      `exportForceText, getCanEdit, getCanExport, getCanFilter, getCanSave, getCanSortClientOnly, getCanView, getChildrenProperty, getChildTagName, getDateFormatter, getDecimalPad, getDecimalPrecision, getDetail, getDisplayField, getEmptyDisplayValue, getEscapeHTML, getExportFormat, getExportTitle, getForeignDisplayField, getForeignKey, getFormat, getGroup, getHidden, getIgnoreTextMatchStyle, getImageHeight, getImageHeightAsString, getImageSize, getImageSizeAsString, getImageWidth, getImageWidthAsString, getInapplicable, getLength, getLenientXPath, getMultiple, getMultipleValueSeparator, getName, getNillable, getOrCreateRef, getPluralTitle, getPrecision, getPrimaryKey, getPrompt, getPropertiesOnly, getRequired, getRootValue, getSequenceName, getShowFileInline, getSummaryFunction, getSummaryValueTitle, getTimeFormatter, getTitle, getType, getTypeAsDataSource, getTypeAsSimpleType, getUploadFieldName, getValidators, getValidOperators, getValueMap, getValueXPath, getXmlAttribute, setCanEdit, setCanExport, setCanFilter, setCanSave, setCanSortClientOnly, setCanView, setChildrenProperty, setChildTagName, setDateFormatter, setDecimalPad, setDecimalPrecision, setDetail, setDisplayField, setEditorProperties, setEditorType, setEditorType, setEditorType, setEmptyDisplayValue, setEscapeHTML, setExportFormat, setExportTitle, setFieldValueExtractor, setForeignDisplayField, setForeignKey, setFormat, setGroup, setHidden, setIgnoreTextMatchStyle, setImageHeight, setImageHeight, setImageSize, setImageSize, setImageWidth, setImageWidth, setInapplicable, setLength, setLenientXPath, setMultiple, setMultipleValueSeparator, setName, setNillable, setPluralTitle, setPrecision, setPrimaryKey, setPrompt, setPropertiesOnly, setReadOnlyEditorProperties, setReadOnlyEditorType, setReadOnlyEditorType, setReadOnlyEditorType, setRequired, setRootValue, setRootValue, setRootValue, setRootValue, setSequenceName, setShowFileInline, setSummaryFunction, setSummaryFunction, setSummaryFunction, setSummaryValueTitle, setTimeFormatter, setTitle, setType, setType, setType, setTypeAsDataSource, setUploadFieldName, setValidators, setValidOperators, setValueMap, setValueMap, setValueXPath, setXmlAttribute`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourcePasswordField

          public DataSourcePasswordField()

    - #### DataSourcePasswordField

          public DataSourcePasswordField(java.lang.String name)

    - #### DataSourcePasswordField

          public DataSourcePasswordField(java.lang.String name,
                                 java.lang.String title)

    - #### DataSourcePasswordField

          public DataSourcePasswordField(java.lang.String name,
                                 java.lang.String title,
                                 int length)

    - #### DataSourcePasswordField

          public DataSourcePasswordField(java.lang.String name,
                                 java.lang.String title,
                                 int length,
                                 boolean required)